Uploaded image for project: 'Core Server'
  1. Core Server
  2. SERVER-8886

Add license exception to link against OpenSSL

    XMLWordPrintable

Details

    • Task
    • Status: Closed
    • Minor - P4
    • Resolution: Fixed
    • None
    • 2.5.5
    • None
    • None
    • Fully Compatible

    Description

      Feel free to close this as won't fix, or please correct the license terms to include an exception on the AGPLv3 code to link against OpenSSL library, or explicitly state that one needs commercial license from 10gen to have OpenSSL exception for the core.

      OpenSSL requires:
      3. All advertising materials mentioning features or use of this
      software must display the following acknowledgment:
      "This product includes software developed by the OpenSSL Project
      for use in the OpenSSL Toolkit. (http://www.openssl.org/)"

      While AGPLv3 states:
      You may not impose any further restrictions on the exercise of the
      rights granted or affirmed under this License.

      See also (note referencing gpl, not agpl, but the two are similar on this grounds):
      http://people.gnome.org/~markmc/openssl-and-the-gpl.html
      https://www.openssl.org/support/faq.html#LEGAL2

      Attachments

        Activity

          People

            ian@mongodb.com Ian Whalen
            xnox Dimitri John Ledkov
            Votes:
            0 Vote for this issue
            Watchers:
            7 Start watching this issue

            Dates

              Created:
              Updated:
              Resolved: